Macros | Variables
WP42FileStructure.h File Reference

Go to the source code of this file.

## Macros
#define | WP42_ATTRIBUTE_BOLD 0
#define | WP42_ATTRIBUTE_ITALICS 1
#define | WP42_ATTRIBUTE_UNDERLINE 2
#define | WP42_ATTRIBUTE_STRIKE_OUT 3
#define | WP42_ATTRIBUTE_SHADOW 4
#define | WP42_ATTRIBUTE_REDLINE 5
#define | WP42_MARGIN_RESET_GROUP 0xC0
#define | WP42_SUPPRESS_PAGE_CHARACTERISTICS_GROUP 0xCF
#define | WP42_HEADER_FOOTER_GROUP 0xD1
#define | WP42_HEADER_FOOTER_GROUP_ALL_BIT 1
#define | WP42_HEADER_FOOTER_GROUP_ODD_BIT 2
#define | WP42_HEADER_FOOTER_GROUP_EVEN_BIT 4
#define | WP42_DEFINE_COLUMNS_OLD_GROUP 0xDD
#define | WP42_EXTENDED_CHARACTER_GROUP 0xE1
#define | WP42_DEFINE_COLUMNS_NEW_GROUP 0xF3

## Variables
int | WP42_FUNCTION_GROUP_SIZE [63]

## Macro Definition Documentation

## ◆ WP42_ATTRIBUTE_BOLD

#define WP42_ATTRIBUTE_BOLD 0

## ◆ WP42_ATTRIBUTE_ITALICS

#define WP42_ATTRIBUTE_ITALICS 1

## ◆ WP42_ATTRIBUTE_REDLINE

#define WP42_ATTRIBUTE_REDLINE 5

## ◆ WP42_ATTRIBUTE_SHADOW

#define WP42_ATTRIBUTE_SHADOW 4

## ◆ WP42_ATTRIBUTE_STRIKE_OUT

#define WP42_ATTRIBUTE_STRIKE_OUT 3

## ◆ WP42_ATTRIBUTE_UNDERLINE

#define WP42_ATTRIBUTE_UNDERLINE 2

## ◆ WP42_DEFINE_COLUMNS_NEW_GROUP

#define WP42_DEFINE_COLUMNS_NEW_GROUP 0xF3

## ◆ WP42_DEFINE_COLUMNS_OLD_GROUP

#define WP42_DEFINE_COLUMNS_OLD_GROUP 0xDD

## ◆ WP42_EXTENDED_CHARACTER_GROUP

#define WP42_EXTENDED_CHARACTER_GROUP 0xE1

## ◆ WP42_HEADER_FOOTER_GROUP

#define WP42_HEADER_FOOTER_GROUP 0xD1

## ◆ WP42_HEADER_FOOTER_GROUP_ALL_BIT

#define WP42_HEADER_FOOTER_GROUP_ALL_BIT 1

## ◆ WP42_HEADER_FOOTER_GROUP_EVEN_BIT

#define WP42_HEADER_FOOTER_GROUP_EVEN_BIT 4

## ◆ WP42_HEADER_FOOTER_GROUP_ODD_BIT

#define WP42_HEADER_FOOTER_GROUP_ODD_BIT 2

## ◆ WP42_MARGIN_RESET_GROUP

#define WP42_MARGIN_RESET_GROUP 0xC0

## ◆ WP42_SUPPRESS_PAGE_CHARACTERISTICS_GROUP

#define WP42_SUPPRESS_PAGE_CHARACTERISTICS_GROUP 0xCF

## Variable Documentation

## ◆ WP42_FUNCTION_GROUP_SIZE

int WP42_FUNCTION_GROUP_SIZE[63]
| extern

Referenced by WP42Heuristics::isWP42FileFormat().